commit:     03e5b00b2188fbb3c36cc8c51c1c55bace2094e9
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Fri May 18 06:26:14 2018 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Fri May 18 06:33:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03e5b00b

virtual/editor: Allow only display editors as providers.

If you prefer a line editor like ed when editing files with your
DECwriter LA120 printing terminal :-) and don't want any newfangled
display editor installed on your system, then add virtual/editor to
package.provided as a workaround.

Closes: https://bugs.gentoo.org/655906
Package-Manager: Portage-2.3.37, Repoman-2.3.9

 virtual/editor/{editor-0.ebuild => editor-0-r1.ebuild} | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/virtual/editor/editor-0.ebuild b/virtual/editor/editor-0-r1.ebuild
similarity index 91%
rename from virtual/editor/editor-0.ebuild
rename to virtual/editor/editor-0-r1.ebuild
index 13c56dd7bd8..56958a5b748 100644
--- a/virtual/editor/editor-0.ebuild
+++ b/virtual/editor/editor-0-r1.ebuild
@@ -1,7 +1,7 @@
 # Copyright 1999-2018 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=5
+EAPI=6
 
 DESCRIPTION="Virtual for editor"
 SLOT="0"
@@ -9,9 +9,11 @@ KEYWORDS="alpha amd64 arm arm64 hppa ia64 m68k ~mips ppc ppc64 
s390 sh sparc x86
 
 # Add a package to RDEPEND only if the editor:
 # - can edit ordinary text files,
-# - works on the console.
+# - works on the console,
+# - is a "display" or "visual" editor (e.g., using ncurses).
 
-RDEPEND="|| ( app-editors/nano
+RDEPEND="|| (
+       app-editors/nano
        app-editors/dav
        app-editors/e3
        app-editors/ee
@@ -47,7 +49,7 @@ RDEPEND="|| ( app-editors/nano
        app-misc/mc[edit]
        dev-lisp/cmucl
        mail-client/alpine[-onlyalpine]
-       sys-apps/ed )"
+)"
 
 # Packages outside app-editors providing an editor:
 #      app-misc/mc: mcedit (#62643)

Reply via email to